Subject: bug#56973: :keymap in register-definition-prefixes in loaddefs

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Aug 2022 15:29:05 +0200

Stefan Kangas <[email-masked]> writes:

> I see in ldefs-boot.el lines like:
>
>     (register-definition-prefixes "gnus-sum" '(":keymap" "gnus-"))
>
> The ":keymap" there is from definitions like:
>
>     (define-keymap :keymap gnus-summary-mode-map
>         ...)
>
> I'm not sure what is the best fix, however.  Should such cases just be
> changed to use `defvar-keymap', or should we add `define-keymap' to
> `autoload-ignored-definitions'?

I've added it to `autoload-ignored-definitions' -- these can't be
directly translated to `defvar-keymap' for backwards compatibility
reasons, if I remember correctly.